const express = require('express');
const router = express.Router();

// Importă conexiunea la baza de date
const pool = require('../db'); 

// Importă middleware-ul de autentificare
const authenticateToken = require('../middleware/auth');

router.get('/', async (req, res) => {
    
    const sql = `
    SELECT 
        id_serie,
       nume_document,
        LPAD(ultimul_numar, 4, '0') AS ultimul_numar,
        serie_document
       
    FROM serii_documente
`;

    try {
        const [results] = await pool.promise().query(sql);
        res.json(results);
    } catch (err) {
        console.error('Database error:', err);
        res.status(500).json({ error: 'Database error' });
    }
});

module.exports = router;
